import 'package:elektronika/library/custom_icons.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';
import 'package:elektronika/app/core/themes/colors.dart';
import '../controller.dart';

class FilterWidget extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return GetBuilder<FilterController>(
      builder: (fc) => Material(
        color: Colors.transparent,
        child: InkWell(
          splashColor: Theme.of(context).splashColor,
          borderRadius: BorderRadius.circular(8),
          onTap: fc.navigateToFilterScreen,
          child: Padding(
            padding: const EdgeInsets.all(8.0),
            child: Icon(
              CustomIcons.filter,
              size: 19.sp,
              color: ThemeColor.greyTxtColor,
            ),
          ),
        ),
      ),
    );
  }
}
